aboutsummaryrefslogtreecommitdiff
path: root/bzdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bzdiff')
-rw-r--r--bzdiff4
1 files changed, 2 insertions, 2 deletions
diff --git a/bzdiff b/bzdiff
index 3c2eb85..6fc38f9 100644
--- a/bzdiff
+++ b/bzdiff
@@ -12,7 +12,7 @@
12# necessary) and fed to cmp or diff. The exit status from cmp 12# necessary) and fed to cmp or diff. The exit status from cmp
13# or diff is preserved. 13# or diff is preserved.
14 14
15PATH="/usr/bin:$PATH"; export PATH 15PATH="/usr/bin:/bin:$PATH"; export PATH
16prog=`echo $0 | sed 's|.*/||'` 16prog=`echo $0 | sed 's|.*/||'`
17case "$prog" in 17case "$prog" in
18 *cmp) comp=${CMP-cmp} ;; 18 *cmp) comp=${CMP-cmp} ;;
@@ -37,7 +37,7 @@ if test -z "$FILES"; then
37 echo "Usage: $prog [${comp}_options] file [file]" 37 echo "Usage: $prog [${comp}_options] file [file]"
38 exit 1 38 exit 1
39fi 39fi
40tmp=`tempfile -d /tmp -p bz` || { 40tmp=`mktemp ${TMPDIR:-/tmp}/bzdiff.XXXXXXXXXX` || {
41 echo 'cannot create a temporary file' >&2 41 echo 'cannot create a temporary file' >&2
42 exit 1 42 exit 1
43} 43}